Summary:	The QA Repo tool
Name:		qarepo
Version:	1.6
Release:	%mkrel 5
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Packaging
Url:		https://wiki.mageia.org/en/QA_Repo
BuildArch:	noarch
Requires:	aria2
Requires:	genhdlist2
Requires:	polkit
Requires:	rsync
Requires:	urpmi

%description
This tool allows a tester to create a local repository containing only
the packages needed to test and validate a particular update request.

%define debug_package %{nil}

%prep
%setup -q

%build
%make_build

%install
%make_install

%post
if [ $1 -eq 1 ] ; then
    /usr/sbin/groupadd --force --system qarepo
fi

%preun
if [ $1 -eq 0 ] ; then
    /usr/sbin/groupdel qarepo
fi

%files
%{_bindir}/qarepo
%{_libexecdir}/qarepo-helper
%{_datadir}/applications/qarepo.desktop
%{_datadir}/polkit-1/actions/org.mageia.qarepo-helper.policy
%{_datadir}/polkit-1/rules.d/org.mageia.qarepo-helper.rules


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.6-5.mga8
+ Revision: 1520500
- Mageia 8 Mass Rebuild
+ solbu <solbu>
- Fix typo: change URL from mandriva.com to mageia.org

* Sun Nov 25 2018 martinw <martinw> 1.6-3.mga7
+ Revision: 1334391
- avoid false positive when checking if updates_testing media are enabled
- use file:// prefix when adding local repository, to only allow local path

* Wed Nov 14 2018 martinw <martinw> 1.6-2.mga7
+ Revision: 1329869
- fix bug in polkit rules

* Wed Nov 14 2018 martinw <martinw> 1.6-1.mga7
+ Revision: 1329858
- first release
- Created package structure for qarepo.

